Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162758 - Yum runs in infinitive loop after 'yum provides libstdc++.so.5\*' command
Summary: Yum runs in infinitive loop after 'yum provides libstdc++.so.5\*' command
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 13:12 UTC by Dawid Gajownik
Modified: 2014-01-21 22:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-10 08:02:17 UTC


Attachments (Terms of Use)

Description Dawid Gajownik 2005-07-08 13:12:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b) Gecko/20050217

Description of problem:
Yum runs in infinitive loop after 'yum provides libstdc++.so.5\*' command.

Version-Release number of selected component (if applicable):
yum-2.3.2-7

How reproducible:
Always

Steps to Reproduce:
Type:
yum provides libstdc++.so.5\*

Additional info:

What is more, yum is not able to tell which package provides libstdc++.so.5 file:

[y4kk0@X nessus-plugins]$ yumdownloader compat-libstdc++-33
compat-libstdc%2B%2B-33-3 100% |=========================| 228 kB    00:02
[y4kk0@X nessus-plugins]$ rpm -qpl compat-libstdc++-33-3.2.3-47.fc4.i386.rpm
/usr/lib/libstdc++.so.5
/usr/lib/libstdc++.so.5.0.7
[y4kk0@X nessus-plugins]$ yum provides libstdc++.so.5
Searching Packages:
Setting up repositories
Reading repository metadata in from local files
Importing Additional filelist information for packages
No Matches found
[y4kk0@X nessus-plugins]$

(I run previously 'yum makecache' as root).

repoquery does not have this problems, though:

[y4kk0@X nessus-plugins]$ LANG=C rpm -q compat-libstdc++-33
package compat-libstdc++-33 is not installed
[y4kk0@X nessus-plugins]$ repoquery --whatprovides libstdc++.so.5
Running from cache, results might be out of date.
compat-libstdc++-33-0:3.2.3-47.fc4.i386
[y4kk0@X nessus-plugins]$

Comment 1 Seth Vidal 2005-07-10 08:02:17 UTC
It might even be a split-infinitive loop! :)

This was an issue with regexes not being escaped properly.

It's fixed in yum 2.3.4 - closing as upstream


Comment 2 Dawid Gajownik 2005-07-10 11:15:42 UTC
Nice to hear that it's fixed, thanks! Can't wait for the updated version :]


Note You need to log in before you can comment on or make changes to this bug.